# HG changeset patch
# User uramekus
# Date 1591677101 10800
# Node ID e95115425badaf3c7729653fae480c5b8f4279db
# Parent  7b0b38c5768572f4c7a9ac1262409a63bc0891e5
update zlib

diff -r 7b0b38c57685 -r e95115425bad sys/src/ape/lib/z/mkfile
--- a/sys/src/ape/lib/z/mkfile	Sun Jun 07 08:27:36 2020 -0700
+++ b/sys/src/ape/lib/z/mkfile	Tue Jun 09 01:31:41 2020 -0300
@@ -8,7 +8,10 @@
 	compress.$O\
 	crc32.$O\
 	deflate.$O\
-	gzio.$O\
+	gzclose.$O\
+	gzlib.$O\
+	gzread.$O\
+	gzwrite.$O\
 	infback.$O\
 	inffast.$O\
 	inflate.$O\
@@ -20,6 +23,7 @@
 TARG=\
 	example\
 	minigzip\
+	infcover\
 
 TOOLS=${TARG:%=$O.%}
 
@@ -36,7 +40,7 @@
 
 </sys/src/cmd/mksyslib
 
-CFLAGS=-c -D_POSIX_SOURCE -D_C99_SNPRINTF_EXTENSION
+CFLAGS=-c -D_POSIX_SOURCE
 
 %.$O: /sys/src/cmd/gs/zlib/%.c
 	$CC $CFLAGS /sys/src/cmd/gs/zlib/$stem.c
